Bug 112753 - missing dependencies in mail/vexim
Summary: missing dependencies in mail/vexim
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-18 04:40 UTC by João Rocha Braga Filho
Modified: 2007-07-21 13:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description João Rocha Braga Filho 2007-05-18 04:40:03 UTC
The vexim port needs the following ports: databases/pear-DB,
devel/php5-gettext, databases/php5-mysql and www/php5-session

I installed vexim, and got some errors until it works. I used google and
found a reference to pear-DB. I installed the pear-DB port, and got a new
error:

"
Fatal error: Call to undefined function bindtextdomain() in
/usr/local/www/vexim/config/i18n.php on line 6
"

I used google again, and found the need of devel/php5-gettext. I installed,
and now I got this new error:

"
DB Error: extension not found
"

Now I used google again, and found needing databases/php5-mysql. Now, new
error:

"
Fatal error: Call to undefined function session_start() in
/usr/local/www/vexim/config/httpheaders.php on line 2
"

Installed www/php5-session, and new error, but this time within a box in
the login window:

"
Call to undefined method DB_Error::numRows() in
<b>/usr/local/www/vexim/index.php
"

But now is a new bug, a vexim bug. It makes this query:

"SELECT domain FROM domains WHERE type='local' AND domain!='admin'
ORDER BY domain"

But the field "type" does not exist. I need make a Bug Report im vexim
site. :^)


The vexim port isn't installing all needed dependencies. May need more
than I found. I installed suport to MySQL. I think it needs
databases/php5-pgsql to use PostGreSQL.


Thanks.

Fix: 

Insert the listed ports into dependencies list.
How-To-Repeat: Install vexim in a clean machine and try to make it works.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2007-05-18 06:44:01 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Pav Lucistnik freebsd_committer 2007-06-16 13:44:16 UTC
Dear maintainer of FreeBSD port mail/vexim, can you please view this PR

http://www.freebsd.org/cgi/query-pr.cgi?pr=112753

and provide patches to fix the issue?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

No one expects the spanish inquisition.
Comment 3 Pav Lucistnik freebsd_committer 2007-06-16 13:56:33 UTC
State Changed
From-To: open->feedback

Asked for patches 


Comment 4 Pav Lucistnik freebsd_committer 2007-06-16 13:56:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 5 Pav Lucistnik freebsd_committer 2007-07-21 13:48:28 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 6 dfilter service freebsd_committer 2007-07-21 13:49:16 UTC
pav         2007-07-21 12:49:11 UTC

  FreeBSD ports repository

  Modified files:
    mail/vexim           Makefile 
  Log:
  - Add missed dependencies on php and pear modules
  
  PR:             ports/112753
  Submitted by:   Joao Rocha Braga Filho <goffredo@uol.com.br>
  Approved by:    maintainer timeout (1 month)
  
  Revision  Changes    Path
  1.3       +6 -2      ports/mail/vexim/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"